<?php

namespace Superrobota\Benefit\Repositories\Eloquent;

use Superrobota\Benefit\Interfaces\BenefitRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class BenefitRepository extends BaseRepository implements BenefitRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('superrobota.benefit.benefit.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('superrobota.benefit.benefit.model.model');
    }
}
